Subject: bug#26911: 25.2; eshell "cd .." doesn't work correctly with TRAMP

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Sep 2020 19:33:27 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sat, 05 Sep 2020 17:57:56 +0200
> 
> > Is it possible to make sure these processes are killed as part of each
> > test's cleanup?  For now, I ran the tests one by one, each time
> > killing the zombie processes manually on the remote system.  It took
> > some time...
> 
> Most of the tests start with (skip-unless (tramp--test-enabled)). This
> defun calls tramp-cleanup-connection, which shall also kill all related
> Tramp processes. Doesn't seem to work on MS Windows.

AFAICS, tramp-cleanup-connection deletes the network connection
processes, but is that supposed to make sure the other side of the
connection exits cleanly?

> Hard to debug for me w/o such a machine. Could you write a bug report as
> a reminder for me, that I investigate when I have such a machine?

Will do.  And let me know if I can provide more details about this
matter, or help you debug this.

> >   Test tramp-test30-make-process condition:
> >       (ert-test-failed
> >        ((should
> > 	 (string-match
> > 	  (if ... "unknown signal
> >   \\'" "killed.*
> >   \\'")
> > 	  (buffer-string)))
> > 	:form
> > 	(string-match "unknown signal
> >   \\'" "killed
> >   ")
> > 	:value nil))
> >      FAILED  1/1  tramp-test30-make-process (39.250000 sec)
> >
> > Just to be sure, I've ran this test twice, and each time it failed
> > with the same error.
> 
> Hahh! There is a special case in that test for MS-Windows:
> 
> --8<---------------cut here---------------start------------->8---
> (should
>  (string-match
>   (if (eq system-type 'windows-nt)
>       "unknown signal\n\\'" "killed.*\n\\'")
>   (buffer-string))))
> --8<---------------cut here---------------end--------------->8---
> 
> IIRC, somebody has reported this different return message. Or maybe I
> have seen this on the MS Windows machine I've used for testing.
> 
> Maybe we shall simply allow both messages, because the exact wording
> doesn't matter. What about the appended patch?

It fixes the problem, thanks.